# pseudo rng score
execute unless score $prng1 prng matches 0..20 run scoreboard players set $prng1 prng 0
scoreboard players add $prng1 prng 1

# save tags to scores
execute as @a at @s run function custitems:tagcheck/sched
execute as @a at @s run function custitems:tagcheck/invcheck

# Functions that are only run while their respective items are being held
execute as @a[scores={mole_mh=6..10}] at @s run function custitems:dice_blade/tick
execute as @a[scores={mole_mh=18}] at @s run function custitems:dribbler/tick
execute as @a[scores={mole_mh=19}] at @s run function custitems:watermelon_winer/tick
execute as @a[scores={mole_mh=20}] at @s run function custitems:firework_crossbow/tick
execute as @a[scores={mole_mh=21}] at @s run function custitems:barnstar_blaster/tick
execute as @a[scores={mole_mh=22}] at @s run function custitems:status_bow/tick
execute as @a[scores={mole_mh=23}] at @s run function custitems:dave/tick
execute as @a[scores={mole_oh=4}] at @s run function custitems:salt_dash/tick
execute as @a[scores={mole_oh=5}] at @s run function custitems:broken_clock/tick
execute as @a[scores={mole_mh=25}] at @s run function custitems:move_pick/tick

# Functions that are run when a spawner is broken
execute as @a[scores={mole_mh=4,sp_break=1}] at @s run function custitems:late_pick/break
execute as @a[scores={mole_mh=5,sp_break=1}] at @s run function custitems:status_pick/break
execute as @a[scores={mole_mh=26..28,sp_break=1}] at @s run function custitems:booster_pick/break

# Functions that are always active
function custitems:firebow/sched
function custitems:dice_blade/always_active_effects
function custitems:red_sunrise/always_active_effects
function custitems:double_jeopardy/always_active_effects
function custitems:booster_pick/always_active_effects

# Reduce shield durability
execute as @a[nbt={Inventory:[{id:"minecraft:shield",tag:{Damage:0}}]}] run function custitems:shield/replace

# Wands
function custitems:wands/loop

# Reset stat scoreboards
scoreboard players set @a sp_break 0
scoreboard players set @a mob_kill 0
scoreboard players set @a is_walking 0
scoreboard players set @a is_sprinting 0
scoreboard players set @a is_climbing 0
scoreboard players set @a is_falling 0