
setblock ~ ~ ~ minecraft:chest[facing=east,type=single,waterlogged=false]
scoreboard players add @s num_chests 1

# Choose a random loot quality
scoreboard players set $rng_min rng 1
execute if entity @s[scores={tier=0}] run scoreboard players set $rng_max rng 4
execute if entity @s[scores={tier=1}] run scoreboard players set $rng_max rng 2
execute if entity @s[scores={tier=2}] run scoreboard players set $rng_max rng 20
execute if entity @s[scores={tier=3}] run scoreboard players set $rng_max rng 30
execute if entity @s[scores={tier=4}] run scoreboard players set $rng_max rng 30
execute if entity @s[scores={tier=5}] run scoreboard players set $rng_max rng 20
execute if entity @s[scores={tier=6}] run scoreboard players set $rng_max rng 40
execute if entity @s[scores={tier=7}] run scoreboard players set $rng_max rng 48
execute if entity @s[scores={tier=8}] run scoreboard players set $rng_max rng 30
execute if entity @s[scores={tier=9}] run scoreboard players set $rng_max rng 20
execute if entity @s[scores={tier=10}] run scoreboard players set $rng_max rng 20
function rng:next
scoreboard players operation @s rando = $value rng

scoreboard players set @s quality 0
execute if entity @s[scores={tier=0,rando=1..3}] run scoreboard players set @s quality 1
execute if entity @s[scores={tier=0,rando=4}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=1,rando=1}] run scoreboard players set @s quality 1
execute if entity @s[scores={tier=1,rando=2}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=2,rando=1..6}] run scoreboard players set @s quality 1
execute if entity @s[scores={tier=2,rando=7..19}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=2,rando=20}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=3,rando=1..10}] run scoreboard players set @s quality 1
execute if entity @s[scores={tier=3,rando=11..25}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=3,rando=26..30}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=4,rando=1..5}] run scoreboard players set @s quality 1
execute if entity @s[scores={tier=4,rando=6..20}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=4,rando=21..30}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=5,rando=1..10}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=5,rando=11..19}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=5,rando=20}] run scoreboard players set @s quality 4
execute if entity @s[scores={tier=6,rando=1..10}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=6,rando=11..35}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=6,rando=36..39}] run scoreboard players set @s quality 4
execute if entity @s[scores={tier=6,rando=40}] run scoreboard players set @s quality 5
execute if entity @s[scores={tier=7,rando=1..5}] run scoreboard players set @s quality 2
execute if entity @s[scores={tier=7,rando=6..35}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=7,rando=36..45}] run scoreboard players set @s quality 4
execute if entity @s[scores={tier=7,rando=46..48}] run scoreboard players set @s quality 5
execute if entity @s[scores={tier=8,rando=1..16}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=8,rando=17..26}] run scoreboard players set @s quality 4
execute if entity @s[scores={tier=8,rando=27..30}] run scoreboard players set @s quality 5
execute if entity @s[scores={tier=9,rando=1..8}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=9,rando=9..16}] run scoreboard players set @s quality 4
execute if entity @s[scores={tier=9,rando=17..20}] run scoreboard players set @s quality 5
execute if entity @s[scores={tier=10,rando=1..5}] run scoreboard players set @s quality 3
execute if entity @s[scores={tier=10,rando=6..15}] run scoreboard players set @s quality 4
execute if entity @s[scores={tier=10,rando=16..20}] run scoreboard players set @s quality 5

# Make sure players can get all the wool before running out of tokens
execute if entity @s[scores={num_chests=109,num_q1=..4}] run function cf:altar/get_wool_1
execute if entity @s[scores={num_chests=110,num_q2=..7}] run function cf:altar/get_wool_2
execute if entity @s[scores={num_chests=111,num_q2=..15}] run function cf:altar/get_wool_3
execute if entity @s[scores={num_chests=112,num_q2=..23}] run function cf:altar/get_wool_4
execute if entity @s[scores={num_chests=113,num_q3=..7}] run function cf:altar/get_wool_5
execute if entity @s[scores={num_chests=114,num_q3=..15}] run function cf:altar/get_wool_14
execute if entity @s[scores={num_chests=115,num_q3=..23}] run function cf:altar/get_wool_11
execute if entity @s[scores={num_chests=116,num_q4=..3}] run function cf:altar/get_wool_12
execute if entity @s[scores={num_chests=117,num_q4=..7}] run function cf:altar/get_wool_13
execute if entity @s[scores={num_chests=118,num_q4=..11}] run function cf:altar/get_wool_6
execute if entity @s[scores={num_chests=119,num_q5=..2}] run function cf:altar/get_wool_15
execute if entity @s[scores={num_chests=120}] run function cf:altar/get_wool_16
execute if entity @s[scores={num_chests=150}] run function cf:altar/get_bonus

# Choose a random item of that quality
execute if entity @s[scores={quality=1,rando=1..}] run function cf:altar/get_quality_1_item
execute if entity @s[scores={quality=2,rando=1..}] run function cf:altar/get_quality_2_item
execute if entity @s[scores={quality=3,rando=1..}] run function cf:altar/get_quality_3_item
execute if entity @s[scores={quality=4,rando=1..}] run function cf:altar/get_quality_4_item
execute if entity @s[scores={quality=5,rando=1..}] run function cf:altar/get_quality_5_item